# Category Audit
# Dxplaination of Interface Call Request
When the request is successful, an audit note is created, and the number is given in the back-up.
After the audit is completed, a correction will be made to inform the audit results.
This interface for uploading category qualification returns an error code 1050003 if the category uploaded has been approved
You can use the url or media_id (via the upload image interface).
The image needs to use the image upload interface for temporary links to upload, and the WeChat side will become permanent links after uploading.Temporary links are permanently valid on the WeChat side, and the merchant side can store temporary links to avoid repeated exchange of links.The WeChat side component photo domain, store.mp. video .tencent-cloud.com , mmbizurl.cn , mmecimage.cn/p/ 。
http请求方式:POST
https://api.weixin.qq.com/shop/audit/audit_category?access_token=xxxxxxxxx
# Example of request parameters
{
"audit_req":
{
"license": ["URL地址"],
"category_info":
{
"level1": 7419, // 一级类目
"level2": 7439, // 二级类目
"level3": 7448, // 三级类目
"certificate": ["URL地址"] // 资质材料
},
"scene_group_list": [1]
}
}
# Examples of back-up
{
"errcode": 0,
"errmsg":"ok",
"audit_id": "RQAAAPX1nuJsAAAAFTrfXW"
}
# Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| audit_req.license | string array | yes | Business license or organization code certificate, photo url |
| audit_req.category_info.level1 | uint32 | yes | Level 1 category, character type, maximum not more than 10 |
| audit_req.category_info.level2 | uint32 | yes | Class II, character type, maximum not more than 10 |
| audit_req.category_info.level3 | uint32 | yes | Level 3 category, character type, maximum not more than 10 |
| audit_req.category_info.certificate | string array | yes | Qualification material, image url, image type, up to 10 |
| audit_req.scene_group_list | enum array | yes | Category Use Cases, 1:WeChat Channels~~,3:The Order Center (not the Order Center in WeChat Channels; merchants who have not explicitly enabled this scenario should not pass values).~~Leave it empty during component turn on and when scene is not connected"scene_group_list": [] |
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| errcode | number | Error code |
| errmsg | string | Error message |
| audit_id | string | Audit Single ID |